"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultLayout = void 0;
const utils_1 = require("../../../../utils");
const defaultLayout = (context, props) => (utils_1.JSX.createElement("html", { class: "default no-js" },
    utils_1.JSX.createElement("head", null,
        utils_1.JSX.createElement("meta", { charSet: "utf-8" }),
        utils_1.JSX.createElement("meta", { "http-equiv": "X-UA-Compatible", content: "IE=edge" }),
        utils_1.JSX.createElement("title", null, props.model.name === props.project.name ? (props.project.name) : (utils_1.JSX.createElement(utils_1.JSX.Fragment, null,
            props.model.name,
            " | ",
            props.project.name))),
        utils_1.JSX.createElement("meta", { name: "description", content: "Documentation for " + props.project.name }),
        utils_1.JSX.createElement("meta", { name: "viewport", content: "width=device-width, initial-scale=1" }),
        utils_1.JSX.createElement("link", { rel: "stylesheet", href: context.relativeURL("assets/style.css") }),
        utils_1.JSX.createElement("script", { async: true, src: context.relativeURL("assets/search.js"), id: "search-script" })),
    utils_1.JSX.createElement("body", null,
        context.header(props),
        utils_1.JSX.createElement("div", { class: "container container-main" },
            utils_1.JSX.createElement("div", { class: "row" },
                utils_1.JSX.createElement("div", { class: "col-8 col-content" }, props.template(props)),
                utils_1.JSX.createElement("div", { class: "col-4 col-menu menu-sticky-wrap menu-highlight" }, context.navigation(props)))),
        context.footer(props),
        utils_1.JSX.createElement("div", { class: "overlay" }),
        utils_1.JSX.createElement("script", { src: context.relativeURL("assets/main.js") }),
        context.analytics())));
exports.defaultLayout = defaultLayout;
