export { Raw, Fragment } from "./jsx";
export * as JSX from "./jsx";
import * as jsx from "./jsx";
/**
 * JSX factory function to create an "element" that can later be rendered with {@link renderElement}
 * @param tag
 * @param props
 * @param children
 */
export declare function createElement(tag: typeof jsx.Fragment | keyof jsx.IntrinsicElements | jsx.Component<any>, props: object | null, ...children: jsx.Children[]): jsx.Element;
export declare function renderElement(element: jsx.Element | null | undefined): string;
/**
 * Extremely limited query function for reaching into a {@link JSX} structure
 * to find an element that's already been declared. This can be used to inject content into a page
 * after it has been created in the `page.end` hook.
 */
export declare function findElementById(root: jsx.Element, id: string): jsx.Element | undefined;
